LINUX.ORG.RU

Homebrew идёт в линуксы (официально) и в WSL

 ,


0

1

9 января 2019 года вышел HomeBrew 🍺 1.9.0

https://brew.sh/2019/01/09/homebrew-1.9.0/

Пока поддержка линуксов в бета тесте, но с версии 2.0 будет уже релизная поддержка.

Поставить на потыкать можно и сейчас:

https://github.com/Homebrew/brew/blob/master/docs/Linuxbrew.md

На самом деле Linuxbrew штука уже весьма давнишняя, но теперь вот всё по взрослому 1️⃣8️⃣➕

★★★★★

Но зачем? Чем это будет лучше, не знаю, nix?

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

очевидно brew нужны контрибуторы, от макосников толку мало

Deleted ()

Брю не нужен даже на гейоси, ведь есть Б-жественный nix

slaykovsky ★★ ()

в линуксах есть полноценные пакетные менеджеры, жалкие поделки от маководов линуксам не нужны

Harald ★★★★★ ()
Ответ на: комментарий от fornlr

Это типа как «Саймон говорит»?

«Пони говорит: перейди дорогу на красный свет»

ozz_is_here_again ()
Ответ на: комментарий от t184256

Но зачем?

Чтобы макоебы не терялись, когда приходится работать с линуксом. А так их любимый костыль всегда при них. Кстати, популярность костыля намекает какое неюзабельное дерьмище этот их макакос.

bread ()

Интересно, на Слаку можно будет установить?

Gu4 ()

Довольно сомнительно, что кто-то будет пользоваться этой кривотой на GNU/Linux.

jollheef ★★★★★ ()
Ответ на: комментарий от alexmaru

«Одна система - один ПМ», вот что удобно. А если твой ПМ не умеет в XYZ, то смени его на тот, который может.

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

Есть и альтернатива, «все системы — один ПМ».

jollheef ★★★★★ ()
Ответ на: комментарий от jollheef

кто-то будет пользоваться этой кривотой на GNU/Linux

От пакетов зависит. Сейчас уже действительно трудно въехать.

Это раньше все обмазывались pip, npm, rvm

Теперь и go (как их пакетник называется не помню). Ещё и snap засадили с flatpack.

Конкретный такой передоз.

fornlr ★★★★★ ()

На винде (WSL) это вообще не имеет смысла, там же есть APT.

xdimquax ★★★ ()
Последнее исправление: xdimquax (всего исправлений: 1)
Ответ на: комментарий от xdimquax

Будто на линуксе это имеет смысла где из коробки APT/yum/whatever а также flatpack/snap/appimage. Это еще один пакетный менеджер, и как я понял не лучший.

goingUp ★★★★★ ()
Ответ на: комментарий от xdimquax

Она примерно такая, что по факту это говно (brew или macports) фактически является дефолтом и ставится вторым пунктом (сразу после хрома) на всех макосях на которых запускается хоть что-нибудь отличное от дефолтного набора софта идущего с самой макосью.

Nastishka ★★★☆ ()
Ответ на: комментарий от Nastishka

Для венды тоже есть пакетные менеджеры, наиболее известный – Chocolatey. Но популярность у них низкая. Означает ли это, что венда – не говно? Ну или, что Windows Store в Windows 10 – не говно? (Речь шла о том, что макось неюзабельное дерьмище.)

xdimquax ★★★ ()
Последнее исправление: xdimquax (всего исправлений: 1)
Ответ на: комментарий от fornlr

Вроде у дебиана/убунты наиболее обширный репозиторий из GNU/Linux + PPA, но в целом, ещё один источник софта не лишний, конечно.

xdimquax ★★★ ()
Ответ на: комментарий от xdimquax

У виндузятников свои традиции: качать инсталяшки с разных помоек. У макак сформировалась одна большая помойка, где все шарятся. До официальных централизованных реп эти животные не доэволюционировали еще.

bread ()
Ответ на: комментарий от xdimquax

Достаточно популярно, что аж тянут за собой эту бомжхрю в линукс.

bread ()
Ответ на: комментарий от xdimquax

Она низкая или высокая? Популярность.

Тут уже выше несколько раз сказали про nix packages. Которому уже много лет.

Мне вот кажется, что большинство тут о нём с трудом что представляет «что этот зачем». А вот про brew хоть кто знает 😉

fornlr ★★★★★ ()

У Homebrew есть одно неоспоримое преимущество – для написания рецептов там используется нормальный язык программирования Ruby вместо какого-то лютого набора костылей и лапши на Bash, как в других сборщиках пакетов.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

нормальный язык программирования Ruby

Не шути так больше.

dexpl ★★★★★ ()
Ответ на: комментарий от fornlr

Но это необязательно его заслуга. MacOS в разы популярней NixOS. Вероятно, даже среди местных.

xdimquax ★★★ ()
Ответ на: комментарий от bread

AUR тоже помойка, но в Arch то хоть есть свой репозиторий. В макосе, я так понимаю, нет.

xdimquax ★★★ ()

А нахрена он в линуксе нужен? Разве что для убунты с древним софтом.

Meyer ★★★ ()
Ответ на: комментарий от xdimquax

Весь базовый софт/утилиты обновляются вместе с системой. Канпеляторы тоже. Для прикладного софта есть app store. В brew всякая сторонняя opensource хрень.

Короче, как во фрибзд где есть базовая система и есть порты.

С какого фига сам эппл должен держать и поддерживать репозиторий с каким-то гну и вообще левым софтом?

pawnhearts ★★★★ ()
Ответ на: комментарий от Nastishka

Отставший от чего? У меня на маке штатный питон 2.7.10. Сейчас зашел на vps с убунтой, а там последний - 2.7.6

Вообще с питоном на маке проще, можно поставить любую версию из brew или из dmg с python.org. На линуксе если хочется версию отличную от версии дистра, придется либо конпелять в /opt либо искать по всяким ppa типа deadsnakes, которые не под все версии есть.

pawnhearts ★★★★ ()
Ответ на: комментарий от Nastishka

Отставший на пять миноров петон например, не?

macOS, как CentOS или RHEL – серьёзные операционные системы для крупного бизнеса. Оставьте беганье за последними версиями молодым и неумным хипстеркам.

EXL ★★★★★ ()

прочитал и подумалось: нечего на folnir пенять, если кто-то другой говно в линукс тащит.:(

crypt ★★★★★ ()
Последнее исправление: crypt (всего исправлений: 1)
Ответ на: комментарий от pawnhearts

С какого фига сам эппл должен держать и поддерживать репозиторий с каким-то гну и вообще левым софтом?

Ну бсдуны зачем-то поддерживают вполне официальные порты. Но так-то правильно, не барское это дело. Пусть юзвери, купившие девайс за сотни нефти, сами колупаются с софтом.

bread ()
Ответ на: комментарий от bread

Люди покупают мак чтобы использовать прикладной софт. final cut, logic, продукты adobe, вот это всё. Это всё можно купить в app store в 2 клика. А в линаксе этого нет вообще. Но для всяких ponysay есть brew, macports, fink и прочее

pawnhearts ★★★★ ()
Последнее исправление: pawnhearts (всего исправлений: 1)
Ответ на: комментарий от alexmaru

ну, brew install пакет@версия - удобно.

brew install --HEAD тоже очень полезно бывает иногда.
вообще, пользуюсь brew года 3-4 наверно, ставлю стандартные приложения для привычного окружения (zsh, git, tmux и т.п.) и софт типа хрома, virtualbox из cask.
за все время может пару раз возникали проблемы, и то решение очень быстро находилось гуглением.
формат формул тоже очень удобный, поправить или написать новую никаких проблем не возникает, в отличие от каких-нибудь deb например.
хотя на линуксе действительно не совсем ясно, зачем оно нужно.

Novel ★★★★ ()
Ответ на: комментарий от bread

потребляди покупают мак чтобы покупать прикладной софт

Поправил чутка.

bread ()
Ответ на: комментарий от bread

у тебя комплексы из-за того, что кто-то может позволить себе покупать софт?

Deleted ()

есть же emerge, можно и в /opt билдировать

etwrq ★★★★ ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)